Bug 178543 - [patch] change maintainer address
[patch] change maintainer address
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 20:20 UTC by smyru
Modified: 2013-05-16 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.56 KB, patch)
2013-05-12 20:20 UTC, smyru
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description smyru 2013-05-12 20:11:52 UTC
>Number:         178543
>Category:       ports
>Synopsis:       [patch] change maintainer address
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Sun May 12 19:20:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Piotr Smyrak
>Release:        FreeBSD 8.4-PRERELEASE amd64
>Organization:
N/A
>Environment:
FreeBSD dsk.smyrak.com 8.4-PRERELEASE FreeBSD 8.4-PRERELEASE #0: Sun May 12 11:37:15 CEST 2013     root@dsk.smyrak.com:/home/usr/obj/home/usr/src/sys/SMYRU  amd64
>Description:
The attached patch changes my maintainer address for a number of ports due 
to upcoming retirement of my previous email address. Affected ports:

* deskutils/gruler
* graphics/agave
* graphics/gcolor2
* graphics/potrace
* net-im/komclean
* x11-themes/cursor-jimmac-theme

I am also dropping maintainership of the following apps, I no longer use:
* polish/libtlen
* deskutils/contacts

As for the latter the port is likely dead, as Pimlico project appears to be discontinued, and upstream sources are gone. Probably a reason to axe it.

Note, that the patch covers all ports and should be applied from PORTSDIR
>How-To-Repeat:
N/A
>Fix:

diff -Naru graphics/agave.orig/Makefile graphics/agave/Makefile
--- graphics/agave.orig/Makefile	2013-05-11 23:16:03.000000000 +0200
+++ graphics/agave/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -7,7 +7,7 @@
 CATEGORIES=	graphics gnome
 MASTER_SITES=	http://download.gna.org/colorscheme/releases/
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A color scheme builder for the GNOME desktop
 
 LIB_DEPENDS=	glademm-2.4.1:${PORTSDIR}/devel/libglademm24 \
diff -Naru deskutils/contacts.orig/Makefile deskutils/contacts/Makefile
--- deskutils/contacts.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ deskutils/contacts/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -12,7 +12,7 @@
 MASTER_SITES=	http://pimlico-project.org/sources/${PORTNAME}/
 DIST_SUBDIR=	gnome2
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ports@freebsd.org
 COMMENT=	Simple yet powerful address book based on Evolution data server
 
 CPPFLAGS+=	-I${LOCALBASE}/include
diff -Naru x11-themes/cursor-jimmac-theme.orig/Makefile x11-themes/cursor-jimmac-theme/Makefile
--- x11-themes/cursor-jimmac-theme.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ x11-themes/cursor-jimmac-theme/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -12,7 +12,7 @@
 MASTER_SITES=	http://www.gnome-look.org/CONTENT/content-files/
 DISTNAME=	6550-Jimmac
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	The beautiful Jimmac X cursor themes
 
 NO_BUILD=	yes
diff -Naru graphics/gcolor2.orig/Makefile graphics/gcolor2/Makefile
--- graphics/gcolor2.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ graphics/gcolor2/Makefile	2013-05-11 23:22:52.000000000 +0200
@@ -11,7 +11,7 @@
 CATEGORIES=	graphics gnome
 MASTER_SITES=	SF
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A simple GTK+ 2.0 color selector
 
 USE_GNOME=	gtk20 gnomeprefix
diff -Naru deskutils/gruler.orig/Makefile deskutils/gruler/Makefile
--- deskutils/gruler.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ deskutils/gruler/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -11,7 +11,7 @@
 CATEGORIES=	deskutils
 MASTER_SITES=	http://linuxadvocate.org/projects/gruler/downloads/
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A simple customizable GTK screen ruler
 
 USE_GNOME=	gnomeprefix gnomehack libgnomeui libglade2
diff -Naru net-im/komclean.orig/Makefile net-im/komclean/Makefile
--- net-im/komclean.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ net-im/komclean/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -7,7 +7,7 @@
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME:S/kom/KOM/}-${PORTVERSION}
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	Web based LysKOM client
 
 LICENSE=	BSD
diff -Naru polish/libtlen.orig/Makefile polish/libtlen/Makefile
--- polish/libtlen.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ polish/libtlen/Makefile	2013-05-11 23:22:15.000000000 +0200
@@ -11,7 +11,7 @@
 CATEGORIES=	polish net
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ports@freebsd.org
 COMMENT=	Backend for interoperability with Tlen.pl, Polish IM network
 
 GNU_CONFIGURE=	yes
diff -Naru graphics/potrace.orig/Makefile graphics/potrace/Makefile
--- graphics/potrace.orig/Makefile	2013-05-11 23:09:27.000000000 +0200
+++ graphics/potrace/Makefile	2013-05-11 23:20:27.000000000 +0200
@@ -6,7 +6,7 @@
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	Transforms bitmaps into vector graphics
 
 GNU_CONFIGURE=	yes


>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 smyru 2013-05-12 20:20:00 UTC
The attached patch changes my maintainer address for a number of ports due 
to upcoming retirement of my previous email address. Affected ports:

* deskutils/gruler
* graphics/agave
* graphics/gcolor2
* graphics/potrace
* net-im/komclean
* x11-themes/cursor-jimmac-theme

I am also dropping maintainership of the following apps, I no longer use:
* polish/libtlen
* deskutils/contacts

As for the latter the port is likely dead, as Pimlico project appears to be discontinued, and upstream sources are gone. Probably a reason to axe it.

Note, that the patch covers all ports and should be applied from PORTSDIR

Fix: Patch attached with submission follows:
How-To-Repeat: N/A
Comment 2 dfilter freebsd_committer 2013-05-16 21:07:54 UTC
Author: rakuco
Date: Thu May 16 20:07:39 2013
New Revision: 318333
URL: http://svnweb.freebsd.org/changeset/ports/318333

Log:
  Update maintainer's email address and drop maintainership of a few ports.
  
  PR:		ports/178543
  Submitted by:	Piotr Smyrak <smyru@heron.pl> (maintainer)

Modified:
  head/deskutils/contacts/Makefile
  head/deskutils/gruler/Makefile
  head/graphics/agave/Makefile
  head/graphics/gcolor2/Makefile
  head/graphics/potrace/Makefile
  head/net-im/komclean/Makefile
  head/polish/libtlen/Makefile
  head/x11-themes/cursor-jimmac-theme/Makefile

Modified: head/deskutils/contacts/Makefile
==============================================================================
--- head/deskutils/contacts/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/deskutils/contacts/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -12,7 +12,7 @@ CATEGORIES=	deskutils gnome
 MASTER_SITES=	http://pimlico-project.org/sources/${PORTNAME}/
 DIST_SUBDIR=	gnome2
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ports@freebsd.org
 COMMENT=	Simple yet powerful address book based on Evolution data server
 
 CPPFLAGS+=	-I${LOCALBASE}/include

Modified: head/deskutils/gruler/Makefile
==============================================================================
--- head/deskutils/gruler/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/deskutils/gruler/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -11,7 +11,7 @@ PORTREVISION=	10
 CATEGORIES=	deskutils
 MASTER_SITES=	http://linuxadvocate.org/projects/gruler/downloads/
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A simple customizable GTK screen ruler
 
 USE_GNOME=	gnomeprefix gnomehack libgnomeui libglade2

Modified: head/graphics/agave/Makefile
==============================================================================
--- head/graphics/agave/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/graphics/agave/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -7,7 +7,7 @@ PORTREVISION=	10
 CATEGORIES=	graphics gnome
 MASTER_SITES=	http://download.gna.org/colorscheme/releases/
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A color scheme builder for the GNOME desktop
 
 LIB_DEPENDS=	glademm-2.4.1:${PORTSDIR}/devel/libglademm24 \

Modified: head/graphics/gcolor2/Makefile
==============================================================================
--- head/graphics/gcolor2/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/graphics/gcolor2/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -11,7 +11,7 @@ PORTREVISION=	9
 CATEGORIES=	graphics gnome
 MASTER_SITES=	SF
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	A simple GTK+ 2.0 color selector
 
 USE_GNOME=	gtk20 gnomeprefix

Modified: head/graphics/potrace/Makefile
==============================================================================
--- head/graphics/potrace/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/graphics/potrace/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -6,7 +6,7 @@ PORTVERSION=	1.11
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	Transforms bitmaps into vector graphics
 
 GNU_CONFIGURE=	yes

Modified: head/net-im/komclean/Makefile
==============================================================================
--- head/net-im/komclean/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/net-im/komclean/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -7,7 +7,7 @@ CATEGORIES=	net-im
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME:S/kom/KOM/}-${PORTVERSION}
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	Web based LysKOM client
 
 LICENSE=	BSD

Modified: head/polish/libtlen/Makefile
==============================================================================
--- head/polish/libtlen/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/polish/libtlen/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -11,7 +11,7 @@ PORTVERSION=	20041113
 CATEGORIES=	polish net
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ports@freebsd.org
 COMMENT=	Backend for interoperability with Tlen.pl, Polish IM network
 
 GNU_CONFIGURE=	yes

Modified: head/x11-themes/cursor-jimmac-theme/Makefile
==============================================================================
--- head/x11-themes/cursor-jimmac-theme/Makefile	Thu May 16 19:52:26 2013	(r318332)
+++ head/x11-themes/cursor-jimmac-theme/Makefile	Thu May 16 20:07:39 2013	(r318333)
@@ -12,7 +12,7 @@ CATEGORIES=	x11-themes
 MASTER_SITES=	http://www.gnome-look.org/CONTENT/content-files/
 DISTNAME=	6550-Jimmac
 
-MAINTAINER=	smyru@heron.pl
+MAINTAINER=	ps.ports@smyrak.com
 COMMENT=	The beautiful Jimmac X cursor themes
 
 NO_BUILD=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2013-05-16 21:07:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!